# $Revision: 1.107 $, $Date: 2011/09/01 06:41:51 $
# TODO:
# - package cedit lisp files files
# - package new (non gtk) desktop file?
# - package ctags/etags in subpackage?
#
# Conditional build:
%bcond_without	athena	# don't build athena version
%bcond_without	gtk	# don't build GTK+2 version
%bcond_without	motif	# don't build motif version
%bcond_without	nox	# don't build nox version

Summary:	The Emacs text editor for the X Window System
Summary(de.UTF-8):	GNU Emacs
Summary(es.UTF-8):	GNU Emacs
Summary(fr.UTF-8):	GNU Emacs
Summary(pl.UTF-8):	GNU Emacs - edytor tekstu dla systemu X Window
Summary(pt_BR.UTF-8):	GNU Emacs
Summary(tr.UTF-8):	GNU Emacs
Name:		emacs
%define	ver	23.3
Version:	%{ver}a
Release:	1
License:	GPL v3+
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.gnu.org/pub/gnu/emacs/%{name}-%{version}.tar.gz
# Source0-md5:	20aef9ea5b5bf8050d39f8b1e96a1c04
Source1:	%{name}-dot%{name}
Source2:	%{name}-site-start.el
Source3:	%{name}.png
Source4:	%{name}-tuareg.el
Source5:	%{name}-nemerle.el
Source6:	%{name}-athena.desktop
Source7:	%{name}-gtk.desktop
Source8:	%{name}-motif.desktop
Source9:	%{name}-nox.desktop
Patch0:		%{name}-tinfo.patch
Patch1:		%{name}-lib64.patch
Patch2:		%{name}-fontconfig.patch
URL:		http://www.gnu.org/software/emacs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	freetype-devel
%{?with_gtk:BuildRequires:	gtk+2-devel}
BuildRequires:	libdnet-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	giflib-devel
BuildRequires:	ncurses-devel
%{?with_motif:BuildRequires:	openmotif-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libX11-devel
%{?with_athena:BuildRequires:	xorg-lib-libXaw-devel}
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
Requires:	%{name}-common = %{version}-%{release}
Requires:	ctags
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Emacs-X11 includes the Emacs text editor program for use with the X
Window System (it provides support for the mouse and other GUI
elements). Emacs-X11 will also run Emacs outside of X, but it has a
larger memory footprint than the 'non-X' Emacs package (emacs-nox).

Install emacs-X11 if you're going to use Emacs with the X Window
System. You should also install emacs-X11 if you're going to run Emacs
both with and without X (it will work fine both ways). You'll also
need to install the emacs-common package in order to run Emacs.

%description -l de.UTF-8
Emacs ist der erweiterbare, veränderbare, selbst-dokumentierende
Echtzeit-Editor. Emacs enthält spezielle Modi zum Bearbeiten von Code,
eine Script-Sprache (elisp) und Pakete für Mail, News und vieles mehr,
alles im Editor.

Dieses Paket enthält die zum Ausführen des emacs-Editors notwendig
sind. Das eigentliche Programm ist im Paket 'emacs-nox' bzw.
'emacs-X11' enthalten, je nachdem, ob Sie X-Window verwenden oder
nicht.

%description -l es.UTF-8
Emacs es un editor común, que se puede personalizar, y muestra los
propios documentos en tiempo real. Emacs posee un modo de código
especial para edición, un lenguaje script (elisp), y viene con varios
paquetes para mail, news, y más cosas, todo en tu editor. Este paquete
incluye las bibliotecas necesarias para ejecutar el editor emacs - el
programa actual puede ser encontrado en los paquetes emacs-nox o
emacs-X11, dependiendo de que uses o no el X Window.

%description -l pl.UTF-8
Emacs-X11 zawiera edytor tekstu Emacs do użytku z X Window System (ma
wsparcie dla myszy i innych elementów interfejsu graficznego).
Emacs-X11 może działać także bez X, ale wymaga więcej pamięci niż
wersja nie-X Emacsa (emacs-nox).

%description -l pt_BR.UTF-8
Emacs é um editor comum, personalizável, e mostra os próprios
documentos em tempo real. Emacs possui um modo de código especial para
edição, uma linguagem script (elisp), e vem com vários pacotes para
mail, news, e mais, tudo no seu editor. Este pacote inclui as
bibliotecas necessárias para rodar o editor emacs - o programa atual
pode ser achado nos pacotes emacs-nox ou emacs-X11, dependendo se você
usa ou não X Window.

%description -l tr.UTF-8
Emacs, son derece gelişmiş bir metin düzenleyicisidir. Bir çok
geliştirme ortamında kullanılmak üzere ayarlanabilir (C, Java, VHDL
gibi). E-posta okuyabilmek, haber gruplarına erişmek gibi birçok
değişik amaç için kullanılabilecek ek yazılımlarla yetenekli bir
çalışma ortamı sağlar. Bu paket emacs çalıştırmak için gereken
kütüphaneleri içerir. Asıl program kullandığınız ortama göre emacs-nox
veya emacs-X11 paketinde yer alır.

%package el
Summary:	The sources for elisp programs included with Emacs
Summary(de.UTF-8):	El Quelldateien - zum Betrieb von Emacs nicht erforderlich
Summary(es.UTF-8):	Fuentes .el -- no son necesarios para ejecutar Emacs
Summary(fr.UTF-8):	Fichiers sources .el - non nécessaires pour exécuter Emacs
Summary(pl.UTF-8):	Źródła programów w elispie dołączonych do Emacsa
Summary(pt_BR.UTF-8):	Fontes .el -- não são necessários para rodar o Emacs
Summary(tr.UTF-8):	Lisp kaynak dosyaları -- Emacs çalıştırmak için gerekmez
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description el
Emacs-el contains the emacs-elisp sources for many of the elisp
programs included with the main Emacs text editor package.

You need to install emacs-el only if you intend to modify any of the
Emacs packages or see some elisp examples.

%description el -l es.UTF-8
Este paquete contiene los fuentes emacs-lisp para muchos de los
programas elisp incluido en el programa principal del paquete emacs.
Tu no necesitas de este paquete a menos que quieras modificarlos o
mirar algunos ejemplos de programas elisp.

%description el -l fr.UTF-8
Ce paquetage contient les sources emacs-lisp de la plupart des
programmes elisp inclus avec le paquetage emacs principal. Vous n'avez
pas besoin de ce paquetage sauf si vous voulez modifier ces paquetages
ou voir quelques exemples elisp.

%description el -l pl.UTF-8
Emacs-el zawiera źródła w emacs-elispie wielu programów dołączonych do
głównego pakietu edytora Emacs. Ten pakiet jest potrzebny tylko do
modyfikowania elementów Emacsa lub obejrzenia przykładów w elispie.

%description el -l pt_BR.UTF-8
Este pacote contém os fontes emacs-lisp para muitos dos programas
elisp incluído com o programa principal do pacote emacs. Você não
necessita deste pacote a menos que você queira modificar estes pacotes
ou ver alguns exemplos de programas elisp.

%description el -l tr.UTF-8
Bu paket, ana emacs paketinde yer alan çoğu programın lisp kaynak
kodlarını içerir. Bu programları değiştirmeyi düşünmüyorsanız gerek
duymayacaksınız.

%package leim
Summary:	Emacs Lisp code for input methods for international characters
Summary(es.UTF-8):	Código Lisp para internacionalización en Emacs
Summary(pl.UTF-8):	Kod w Emacs Lispie do wprowadzania znaków narodowych
Summary(pt_BR.UTF-8):	Código Lisp para para internacionalização no Emacs
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description leim
The emacs-leim package contains Emacs Lisp code for input methods for
various international character scripts. Basically, the Lisp code
provided by this package describes the consecutive keystrokes that a
user must press in order to input a particular character in a
non-English character set. Input methods for many different language's
character sets are included in this package.

%description leim -l es.UTF-8
Código Lisp para internacionalización en Emacs.

%description leim -l pl.UTF-8
Pakiet emacs-leim zawiera kod w Emacs Lispie do wprowadzania różnych
narodowych znaków. Kod zawarty w tym pakiecie opisuje sekwencje
klawiszy, które użytkownik musi nacisnąć, by uzyskać dany znak spoza
zestawu angielskiego. Pakiet zawiera sposoby wprowadzania znaków w
wielu różnych językach.

%description leim -l pt_BR.UTF-8
Código Lisp para para internacionalização no Emacs.

%package leim-el
Summary:	Emacs Lisp source code for input methods for international characters
Summary(pl.UTF-8):	Kod źródłowy w Emacs Lispie do wprowadzania znaków narodowych
Group:		Applications/Editors/Emacs
Requires:	%{name}-leim = %{version}-%{release}

%description leim-el
Emacs Lisp source code for input methods for international characters.

%description leim-el -l pl.UTF-8
Kod źródłowy w Emacs Lispie do wprowadzania znaków narodowych.

%package nox
Summary:	The Emacs text editor without support for the X Window System
Summary(de.UTF-8):	emacs-nox - keine X-Libraries erforderlich
Summary(es.UTF-8):	emacs-nox - Emacs sin necesidad de bibliotecas X
Summary(fr.UTF-8):	emacs-nox - les bibliothèques X ne sont pas nécessaires
Summary(pl.UTF-8):	emacs-nox - edytor tekstu Emacs bez wsparcia dla X Window System
Summary(pt_BR.UTF-8):	emacs-nox - Emacs sem precisar de bibliotecas X
Summary(tr.UTF-8):	X gerektirmeyen emacs paketi
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description nox
Emacs-nox is the Emacs text editor program without support for the X
Window System.

You need to install this package only if you plan on exclusively using
Emacs without the X Window System (emacs-X11 will work both in X and
out of X, but emacs-nox will only work outside of X). You'll also need
to install the emacs-common package in order to run Emacs.

%description nox -l de.UTF-8
Dieses Paket enthält eine Binärversion von emacs ohne X-Window-
Unterstützung. Das emacs-Binärprogramm im emacs-Hauptpaket
funktioniert zwar einwandfrei außerhalb von X-Window (z.B. auf der
Konsole), die Version in diesem Paket hat jedoch ein kleineres
Speicherabbild.

%description nox -l es.UTF-8
Este paquete contiene un binario emacs sin soporte al X Window. Aunque
el binario emacs, en el paquete principal, funcione bien fuera del X
Window (en la consola, por ejemplo) lo que se encuentra en este
paquete utiliza menos memoria.

%description nox -l fr.UTF-8
Ce paquetage contient un binaire emacs construit sans gestion X
Window. Bien que le binaire emacs du paquetage emacs principal
fonctionne bien sans X Window (sur un terminal, par exemple), celui-ci
à une image mémoire plus petite.

%description nox -l pl.UTF-8
Emacs-nox to edytor tekstu Emacs bez wsparcia dla X Window System.

%description nox -l pt_BR.UTF-8
Este pacote contém um binário emacs sem suporte ao X Window. Embora o
binário emacs no pacote principal funcione bem fora do X Window (na
console por exemplo) o que está neste pacote utiliza menos memória.

%description nox -l tr.UTF-8
Bu paket içinde yer alan emacs programı, X11 desteği içermez ve
çalışmak için daha az belleğe gereksinim duyar.

%package athena
Summary:	The Emacs text editor for X Window System (Athena toolkit version)
Summary(pl.UTF-8):	Emacs - edytor tekstu Emacs dla X Window System (wersja Athena)
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description athena
The Emacs text editor for X Window System (Athena toolkit version).

%description athena -l pl.UTF-8
Emacs - edytor tekstu Emacs dla X Window System (wersja Athena).

%package gtk
Summary:	The Emacs text editor for X Window System (GTK+2 toolkit version)
Summary(pl.UTF-8):	Emacs - edytor tekstu Emacs dla X Window System (wersja GTK+2)
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description gtk
The Emacs text editor for X Window System (GTK+2 toolkit version).

%description gtk -l pl.UTF-8
Emacs - edytor tekstu Emacs dla X Window System (wersja GTK+2).

%package motif
Summary:	The Emacs text editor for X Window System (Motif toolkit version)
Summary(pl.UTF-8):	Emacs - edytor tekstu Emacs dla X Window System (wersja Motif)
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description motif
The Emacs text editor for X Window System (Motif toolkit version).

%description motif -l pl.UTF-8
Emacs - edytor tekstu Emacs dla X Window System (wersja Motif).

%package common
Summary:	The libraries needed to run the GNU Emacs text editor
Summary(pl.UTF-8):	Biblioteki potrzebne do uruchomienia edytora tekstu GNU Emacs
Group:		Applications/Editors/Emacs
Requires:	emacscommon

%description common
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news and more
without leaving the editor.

This package includes the libraries you need to run the Emacs editor,
so you need to install this package if you intend to use Emacs. You
also need to install the actual Emacs program package (emacs-nox or
emacs). Install emacs-nox if you are not going to use the X Window
System; install emacs if you will be using X.

%description common -l pl.UTF-8
Emacs jest konfigurowalnym, samo-udokumentowanym edytorem tekstu o
dużych możliwościach. Zawiera ułatwienia do pisania kodu, język
skryptowy (elisp), daje możliwość czytania poczty, newsów i wiele
innych rzeczy bez opuszczania edytora.

Ten pakiet zawiera biblioteki potrzebne do uruchomienia Emacsa. Oprócz
tego pakietu potrzebny jest jeszcze właściwy program (emacs-nox lub
emacs). Zainstaluj emacs-nox jeżeli nie zamierzasz używasz Emacsa pod
X Window System; zainstaluj emacs jeżeli używasz X.

%package extras
Summary:	Files which conflict with XEmacs
Summary(pl.UTF-8):	Wspólne pliki XEmacsa i GNU Emacsa
Group:		Applications/Editors/Emacs
Provides:	emacscommon
Obsoletes:	emacscommon

%description extras
These files are common between GNU Emacs and XEmacs.

%description extras -l pl.UTF-8
Są to wspólne pliki GNU Emacs i XEmacs.

%package gnus
Summary:	Gnus is flexible message reader under Emacs
Summary(pl.UTF-8):	Gnus jest czytnikiem grup dyskusyjnych pod Emacsa
Group:		Applications/Editors/Emacs
Requires:	%{name}-common = %{version}-%{release}

%description gnus
Gnus is flexible message reader under Emacs.

%description gnus -l pl.UTF-8
Gnus jest czytnikiem grup dyskusyjnych pod Emacsa.

%package gnus-el
Summary:	Emacs Lisp source code for Gnus
Summary(pl.UTF-8):	Kod źródłowy Gnusa w Emacs Lispie
Group:		Applications/Editors/Emacs
Requires:	%{name}-gnus = %{version}-%{release}

%description gnus-el
Emacs Lisp source code for Gnus.

%description gnus-el -l pl.UTF-8
Kod źródłowy Gnusa w Emacs Lispie.

%prep
#
%if %{with gtk}
%define default_emacs gtk
%else
%if %{with motif}
%define default_emacs motif
%else
%if %{with athena}
%define default_emacs athena
%else
%if %{with nox}
%define default_emacs nox
%else
echo "ERROR: building Emacs with passed conditionals is impossible."
exit 1
%endif
%endif
%endif
%endif

%setup -q -n %{name}-%{ver}
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
%patch2 -p1

%build
cp -f /usr/share/automake/config.* .
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}

%define bootstrap 0

%if %{with athena}
echo "Building emacs athena binary ..."
rm -rf build-athena
mkdir build-athena && cd build-athena
../%configure \
	--with-pop \
	--with-xpm \
	--with-jpeg \
	--with-tiff \
	--with-gif \
	--with-png \
	--with-x-toolkit=athena

%{__make} -j1 bootstrap
%define	bootstrap athena
cd ..
%endif

%if %{with gtk}
echo "Building emacs GTK+2 binary ..."
rm -rf build-gtk
mkdir build-gtk && cd build-gtk
../%configure \
	--with-pop \
	--with-xpm \
	--with-jpeg \
	--with-tiff \
	--with-gif \
	--with-png \
	--with-x-toolkit=gtk

%if %{?bootstrap}
%{__make}
%else
%{__make} -j1 bootstrap
%define	bootstrap gtk
%endif
cd ..
%endif

%if %{with motif}
echo "Building emacs motif binary ..."
rm -rf build-motif
mkdir build-motif && cd build-motif
../%configure \
	--with-pop \
	--with-xpm \
	--with-jpeg \
	--with-tiff \
	--with-gif \
	--with-png \
	--with-x-toolkit=motif

%if %{?bootstrap}
%{__make}
%else
%{__make} -j1 bootstrap
%define	bootstrap motif
%endif
cd ..
%endif

%if %{with nox}
echo "Building emacs binary without X support ..."
[ -d build-nox ] && rm -rf build-nox
mkdir build-nox && cd build-nox
../%configure \
	--with-pop \
	--without-xpm \
	--without-jpeg \
	--without-tiff \
	--without-gif \
	--without-png \
	--with-x=no

%if %{?bootstrap}
%{__make}
%else
%{__make} -j1 bootstrap
%define	bootstrap nox
%endif
cd ..
%endif

mv lisp/term/README README.term

%{__sed} s!@SITE_START_DIR@!%{_datadir}/emacs/site-lisp/site-start.d! \
	< %{SOURCE2} > site-start.el

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_infodir},%{_datadir}/emacs/site-lisp/site-start.d} \
	$RPM_BUILD_ROOT{%{_desktopdir},/etc/skel,%{_pixmapsdir}} \

%if %{with athena}%{with gtk}%{with motif}%{with nox}
%makeinstall -C build-%{bootstrap}
%else
echo 'ERROR: neither athena nor gtk nor motif nor nox emacs was built.' 1>&2
exit 1
%endif

for e in athena gtk motif nox ; do
	[ -d build-$e ] && install build-${e}/src/emacs $RPM_BUILD_ROOT%{_bindir}/emacs-$e
done
rm -f $RPM_BUILD_ROOT%{_bindir}/emacs
# make "default emacs" from gtk, athena, motif and non-X version
for e in gtk athena motif nox ; do
	if [ -f $RPM_BUILD_ROOT%{_bindir}/emacs-$e ] ; then
		(cd $RPM_BUILD_ROOT%{_bindir}
		 cp -pf emacs-$e emacs
		 cp -pf emacs-$e emacs-%{ver}
		)
		break;
	fi
done

install site-start.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install %{SOURCE1} $RPM_BUILD_ROOT/etc/skel/.emacs
install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/emacs/%{ver}/site-lisp/tuareg.el
install %{SOURCE5} $RPM_BUILD_ROOT/%{_datadir}/emacs/%{ver}/site-lisp/nemerle.el
install %{SOURCE6} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE7} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE8} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE9} $RPM_BUILD_ROOT%{_desktopdir}

[ -d build-nox ] && install build-nox/etc/DOC-* $RPM_BUILD_ROOT%{_datadir}/emacs/%{ver}/etc

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
# ERC is in separate spec
rm -fr $RPM_BUILD_ROOT%{_datadir}/emacs/%{ver}/lisp/erc

%clean
rm -rf $RPM_BUILD_ROOT

%post	common -p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	common -p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%triggerin nox -- emacs-X11
if [ -L %{_bindir}/emacs ]; then
	rm -f %{_bindir}/emacs
fi

%triggerpostun nox -- emacs-X11
[ $2 = 0 ] || exit 0
if [ ! -L %{_bindir}/emacs ]; then
	ln -sf emacs-nox %{_bindir}/emacs
fi

%post nox
if [ ! -x %{_bindir}/emacs -a ! -L %{_bindir}/emacs ]; then
	ln -sf emacs-nox %{_bindir}/emacs
fi

%postun nox
[ $1 = 0 ] || exit 0
if [ -L %{_bindir}/emacs ]; then
	rm -f %{_bindir}/emacs
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/emacs
%attr(755,root,root) %{_bindir}/emacs-%{ver}
%{_desktopdir}/emacs-%{default_emacs}.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/16x16/apps/emacs*.png
%{_iconsdir}/hicolor/24x24/apps/emacs*.png
%{_iconsdir}/hicolor/32x32/apps/emacs*.png
%{_iconsdir}/hicolor/48x48/apps/emacs*.png
%{_iconsdir}/hicolor/128x128/apps/emacs*.png
%{_iconsdir}/hicolor/scalable/apps/emacs*.svg
%{_iconsdir}/hicolor/scalable/mimetypes/emacs*.svg

%files common
%defattr(644,root,root,755)
%config(noreplace) /etc/skel/.emacs
%attr(755,root,root) %{_bindir}/emacsclient
%attr(755,root,root) %{_bindir}/ebrowse
%{_mandir}/man1/ebrowse*
%{_mandir}/man1/emacs*
%{_infodir}/*

%dir %{_libdir}/emacs
%dir %{_libdir}/emacs/%{ver}
%dir %{_libdir}/emacs/%{ver}/*

%attr(2755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/movemail
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/digest-doc
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/fakemail
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/hexl
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/profile
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/rcs2log
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/sorted-doc
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/vcdiff
%attr(755,root,mail) %{_libdir}/emacs/%{ver}/*-linux/update-game-score

%dir %{_datadir}/emacs
%dir %{_datadir}/emacs/%{ver}
%dir %{_datadir}/emacs/%{ver}/site-lisp
%dir %{_datadir}/emacs/%{ver}/lisp
%dir %{_datadir}/emacs/%{ver}/leim
%dir %{_datadir}/emacs/%{ver}/lisp/calc
%dir %{_datadir}/emacs/%{ver}/lisp/calendar
%dir %{_datadir}/emacs/%{ver}/lisp/cedet
%dir %{_datadir}/emacs/%{ver}/lisp/cedet/ede
%dir %{_datadir}/emacs/%{ver}/lisp/cedet/semantic
%dir %{_datadir}/emacs/%{ver}/lisp/cedet/srecode
%dir %{_datadir}/emacs/%{ver}/lisp/emacs-lisp
%dir %{_datadir}/emacs/%{ver}/lisp/emulation
%dir %{_datadir}/emacs/%{ver}/lisp/eshell
%dir %{_datadir}/emacs/%{ver}/lisp/international
%dir %{_datadir}/emacs/%{ver}/lisp/language
%dir %{_datadir}/emacs/%{ver}/lisp/mail
%dir %{_datadir}/emacs/%{ver}/lisp/mh-e
%dir %{_datadir}/emacs/%{ver}/lisp/net
%dir %{_datadir}/emacs/%{ver}/lisp/nxml
%dir %{_datadir}/emacs/%{ver}/lisp/obsolete
%dir %{_datadir}/emacs/%{ver}/lisp/org
%dir %{_datadir}/emacs/%{ver}/lisp/play
%dir %{_datadir}/emacs/%{ver}/lisp/progmodes
%dir %{_datadir}/emacs/%{ver}/lisp/term
%dir %{_datadir}/emacs/%{ver}/lisp/textmodes
%dir %{_datadir}/emacs/%{ver}/lisp/url

%{_datadir}/emacs/site-lisp
%{_datadir}/emacs/%{ver}/etc
%{_datadir}/emacs/%{ver}/lisp/*.el
%{_datadir}/emacs/%{ver}/lisp/*.elc
%{_datadir}/emacs/%{ver}/lisp/README
%{_datadir}/emacs/%{ver}/lisp/calc/*.el
%{_datadir}/emacs/%{ver}/lisp/calc/*.elc
%{_datadir}/emacs/%{ver}/lisp/calc/README*
%{_datadir}/emacs/%{ver}/lisp/calendar/*.el
%{_datadir}/emacs/%{ver}/lisp/calendar/*.elc
%{_datadir}/emacs/%{ver}/lisp/emacs-lisp/*.el
%{_datadir}/emacs/%{ver}/lisp/emacs-lisp/*.elc
%{_datadir}/emacs/%{ver}/lisp/emulation/*.elc
%{_datadir}/emacs/%{ver}/lisp/eshell/*.elc
%{_datadir}/emacs/%{ver}/lisp/eshell/esh-groups.el
%{_datadir}/emacs/%{ver}/lisp/international/*.el
%{_datadir}/emacs/%{ver}/lisp/international/*.elc
%{_datadir}/emacs/%{ver}/lisp/international/README
%{_datadir}/emacs/%{ver}/lisp/language/*.el
%{_datadir}/emacs/%{ver}/lisp/language/*.elc
#%{_datadir}/emacs/%{ver}/lisp/cedet/*.el
%{_datadir}/emacs/%{ver}/lisp/cedet/*.elc
%{_datadir}/emacs/%{ver}/lisp/cedet/ede/*.el
%{_datadir}/emacs/%{ver}/lisp/cedet/ede/*.elc
%{_datadir}/emacs/%{ver}/lisp/cedet/semantic/*.el
%{_datadir}/emacs/%{ver}/lisp/cedet/semantic/*.elc
%{_datadir}/emacs/%{ver}/lisp/cedet/srecode/*.el
%{_datadir}/emacs/%{ver}/lisp/cedet/srecode/*.elc
%{_datadir}/emacs/%{ver}/lisp/mail/blessmail.el
%{_datadir}/emacs/%{ver}/lisp/mail/*.elc
%{_datadir}/emacs/%{ver}/lisp/mh-e/*.el
%{_datadir}/emacs/%{ver}/lisp/mh-e/*.elc
%{_datadir}/emacs/%{ver}/lisp/net/*.elc
%{_datadir}/emacs/%{ver}/lisp/nxml/*.elc
%{_datadir}/emacs/%{ver}/lisp/nxml/TODO
%{_datadir}/emacs/%{ver}/lisp/obsolete/*.elc
%{_datadir}/emacs/%{ver}/lisp/org/*.elc
%{_datadir}/emacs/%{ver}/lisp/play/bruce.el
%{_datadir}/emacs/%{ver}/lisp/play/*.elc
%{_datadir}/emacs/%{ver}/lisp/progmodes/*.elc
%{_datadir}/emacs/%{ver}/lisp/term/*.el
%{_datadir}/emacs/%{ver}/lisp/term/*.elc
%{_datadir}/emacs/%{ver}/lisp/textmodes/*.elc
%{_datadir}/emacs/%{ver}/lisp/url/*.elc

%dir /var/games/emacs
/var/games/emacs/tetris-scores
/var/games/emacs/snake-scores

%{_datadir}/emacs/%{ver}/site-lisp/subdirs.el
%{_datadir}/emacs/%{ver}/site-lisp/tuareg.el
%{_datadir}/emacs/%{ver}/site-lisp/nemerle.el

%files extras
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/b2m
%attr(755,root,root) %{_bindir}/grep-changelog
%attr(755,root,root) %{_bindir}/rcs-checkin
%{_mandir}/man1/b2m*
%{_mandir}/man1/grep-changelog*
%{_mandir}/man1/rcs-checkin*

%files el
%defattr(644,root,root,755)
%{_datadir}/emacs/%{ver}/lisp/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/calc/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/calendar/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/emacs-lisp/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/emulation/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/eshell/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/international/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/language/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/mail/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/mh-e/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/net/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/nxml/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/obsolete/*.el
%{_datadir}/emacs/%{ver}/lisp/obsolete/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/org/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/play/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/progmodes/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/term/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/textmodes/*.el.gz
%{_datadir}/emacs/%{ver}/lisp/url/*.el.gz

%files leim
%defattr(644,root,root,755)
%dir %{_datadir}/emacs/%{ver}/leim/ja-dic
%dir %{_datadir}/emacs/%{ver}/leim/quail
%{_datadir}/emacs/%{ver}/leim/leim-list.el
%{_datadir}/emacs/%{ver}/leim/quail/*.elc
%{_datadir}/emacs/%{ver}/leim/ja-dic/*.elc

%files leim-el
%defattr(644,root,root,755)
%{_datadir}/emacs/%{ver}/leim/quail/*.el.gz
%{_datadir}/emacs/%{ver}/leim/ja-dic/*.el.gz

%if %{with nox} && %{?default_emacs} != "nox"
%files nox
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/emacs-nox
%{_desktopdir}/emacs-nox.desktop
%endif

%if %{with athena} && %{?default_emacs} != "athena"
%files athena
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/emacs-athena
%{_desktopdir}/emacs-athena.desktop
%endif

%if %{with gtk} && %{?default_emacs} != "gtk"
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/emacs-gtk
%{_desktopdir}/emacs-gtk.desktop
%endif

%if %{with motif} && %{?default_emacs} != "motif"
%files motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/emacs-motif
%{_desktopdir}/emacs-motif.desktop
%endif

%files gnus
%defattr(644,root,root,755)
%dir %{_datadir}/emacs/%{ver}/lisp/gnus
%{_datadir}/emacs/%{ver}/lisp/gnus/*.*
%exclude %{_datadir}/emacs/%{ver}/lisp/gnus/*.el.gz

%files gnus-el
%defattr(644,root,root,755)
%{_datadir}/emacs/%{ver}/lisp/gnus/*.el.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: emacs.spec,v $
Revision 1.107  2011/09/01 06:41:51  arekm
- rel 1

Revision 1.106  2011/08/31 20:53:18  arekm
- up to 23.3a (builds; files need update)

Revision 1.105  2011/02/14 07:07:26  glen
- fix-info-dir in proper (common) package

Revision 1.104  2011/02/02 15:17:35  sparky
- package only info files from %{_infodir} (do not package %{_infodir}/dir)

Revision 1.103  2010/10/18 11:03:21  caleb
- Up to 23.2, NFY, see TODO
- Removed libpng patch, added upstream

Revision 1.102  2010/02/27 15:52:33  pawelz
- BR: ncurses-devel, libdnet-devel, pkgconfig, rpm-pythonprov

Revision 1.101  2010/02/17 22:44:03  baggins
- rel 2
- added missing dirs

Revision 1.100  2010/02/16 10:46:17  baggins
- rel 1

Revision 1.99  2010/02/15 16:58:28  baggins
- package hicolor icons
- package man pages

Revision 1.98  2010/02/15 16:39:11  baggins
- cleanup and simplify lisp files listing

Revision 1.97  2010/02/15 15:28:04  baggins
- update BR

Revision 1.96  2010/02/02 09:23:46  arekm
- libpng fixes

Revision 1.95  2009/07/31 08:46:49  arekm
- 23.1; files need update

Revision 1.94  2009/07/12 13:14:14  arekm
- release 3

Revision 1.93  2008/11/07 20:53:09  arekm
- release 2

Revision 1.92  2008/11/03 09:50:54  blues
- security note

Revision 1.91  2008/09/07 18:45:53  adamg
- updated to 22.3 [fixes: CVE-2008-3949]

Revision 1.90  2008/08/17 15:12:02  adamg
- release 1

Revision 1.89  2008-03-29 21:01:56  adamg
- updated to 22.2

Revision 1.88  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.87  2008-01-03 17:22:39  tommat
- added lib64 patch

Revision 1.86  2007-11-28 08:17:22  arekm
- rel 4

Revision 1.85  2007-06-11 17:12:35  qboosh
- unified

Revision 1.84  2007/06/10 18:36:49  twittner
- fixed `emacs: Cannot open termcap database file'
- rel. 3

Revision 1.83  2007/06/10 14:57:39  arekm
- rel 2; add tinfo patch

Revision 1.82  2007/06/10 13:37:18  twittner
- - up to 22.1 - copied from DEVEL branch
- rel. 1

Revision 1.68.4.22  2007/06/10 12:53:10  twittner
- try fix and clean up %files

Revision 1.68.4.21  2007/06/09 15:58:32  arekm
- correct url

Revision 1.68.4.20  2007/06/09 15:55:02  arekm
- up to 22.1

Revision 1.68.4.19  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.68.4.18  2006/03/27 18:34:50  twittner
- removed temporary Source0 url

Revision 1.68.4.17  2006/03/27 18:30:20  twittner
- up to today's snap: 22.0.50-20060327

Revision 1.68.4.16  2006/03/18 13:08:18  twittner
- appropriate desktop files for each emacs version (GTK, Motif, etc.)

Revision 1.68.4.15  2006/03/09 23:52:35  twittner
- BR: autoconf, automake

Revision 1.68.4.14  2006/02/21 21:28:09  japhy
- %define bootstrap 0 to make it actually invoke Make when --without athena.

Revision 1.68.4.13  2006/01/06 19:19:20  twittner
- build Athena and Motif version too (GTK2 version is slow)
- do `make bootstrap' (time-consuming elisp files compilation) only once
- rel. 2

Revision 1.68.4.12  2006/01/03 16:56:13  twittner
- CC and CFLAGS fixes - use %%configure, regenerate ac

Revision 1.68.4.11  2005/12/23 22:22:07  pawelb
- up to snapshot 20051223

Revision 1.68.4.10  2005/03/17 22:31:34  pawelb
- up to 22.0.50-20050317

Revision 1.68.4.9  2005/01/22 22:07:07  pawelb
- setarch isn't need now

Revision 1.68.4.8  2005/01/22 21:29:14  arekm
- turn gtk on by default
- gnus-el subpackage
- drop external info files (included in default tarball)

Revision 1.68.4.7  2005/01/18 18:15:00  pawelb
- snapshot up to 20050118

Revision 1.68.4.6  2005/01/14 14:32:01  pawelb
- cosmetic

Revision 1.68.4.5  2005/01/04 21:23:44  pawelb
- bcond --with gtk
- not tested

Revision 1.68.4.4  2005/01/04 15:28:29  pawelb
- gnus in separate package, removed bcond

Revision 1.68.4.3  2005/01/03 16:03:20  pawelb
- proper rel

Revision 1.68.4.2  2005/01/02 20:18:29  adamg
- proper source0-md5

Revision 1.68.4.1  2005/01/02 20:02:33  adamg
- updated to 21.3.50 (by pawelb)

Revision 1.68  2004/09/21 01:08:50  ankry
- rel. 6

Revision 1.67  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.66  2004/08/01 18:53:08  qboosh
- no complaints? so release 5

Revision 1.65  2004/07/24 16:37:27  qboosh
- strip workaround on ppc no longer needed? please test; rel. 4.1

Revision 1.64  2004/07/24 00:17:21  qboosh
- on x86 use setarch i386 to force traditional memory layout
  (emacs's dump doesn't expect anything else, caused e.g. by exec-shield)

Revision 1.63  2004/07/23 23:29:47  qboosh
- added amd64 patch (from FC)

Revision 1.62  2004/07/22 21:54:49  ankry
- desktop fix, rel. 4

Revision 1.61  2004/05/28 14:00:07  baggins
- release 3
- use proper paths (datadir not libdir)

Revision 1.60  2004/05/23 22:12:18  japhy
- site-lisp/site-start.d/ support added

Revision 1.59  2004/05/21 00:03:07  japhy
- added unpackaged .el files to emacs-el
- moved lisp/term/README (unpackaged) to %doc README.term
- fixed old-Gnus-removing code
- moved lisp/leim directory from emacs-leim to emacs-common
  (Emacs complains about it on startup)

Revision 1.58  2004/05/12 14:03:47  arekm
- use official ftp

Revision 1.57  2004/04/27 21:57:30  japhy
Old version of Gnus moved out to bcond.

Revision 1.56  2004/03/29 23:06:59  qboosh
- refresh config.sub for amd64, switched to vfolders

Revision 1.55  2003/10/21 23:57:34  arekm
- updated to 21.3

Revision 1.54  2003/08/28 08:20:30  ankry
- cosmetics

Revision 1.53  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.52  2003/06/13 18:20:09  mwinkler
- now fixed Source2-md5

Revision 1.51  2003/06/13 18:01:16  mwinkler
- fixed(?) Source2-md5

Revision 1.50  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.49  2003/05/25 05:47:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/03/07 14:16:46  wiget
- added TODO

Revision 1.47  2003/03/06 23:11:41  wiget
- separate b2m and rcs-checkin to extras subpackages
  now is posible to have installed xemacs and emacs at the same time
- release 5

Revision 1.46  2003/02/09 18:47:52  adgor
- Changed /usr/X11R6/share/pixmaps to %{_pixmapsdir}

Revision 1.45  2002/12/24 23:08:32  adgor
- Fixed pixmapsdir

Revision 1.44  2002/11/16 18:42:05  mmazur
- I 0wn /usr/share/emacs

Revision 1.43  2002/11/07 13:46:50  qboosh
- removed from -el duplicates of files from -common; release 4

Revision 1.42  2002/11/01 12:18:27  malekith
- removed br /usr/sbin/install-info, it's in info required by texinfo anyway

Revision 1.41  2002/10/30 12:49:42  ankry
- desktop moved to toplevel Editors, cleaning, rel. 3

Revision 1.40  2002/09/25 15:56:15  misiek
- add url

Revision 1.39  2002/06/27 06:59:59  kloczek
- release 2.

Revision 1.38  2002/06/24 09:33:50  speedy
- new %doc
- PPC: do_not_strip - broken by design - STBR/PPC

Revision 1.37  2002/04/25 16:15:06  arturs
fixed a small typo

Revision 1.36  2002/03/19 15:54:49  misiek
- require subpackages in the same version

Revision 1.35  2002/03/19 13:27:29  misiek
- updated to 21.2

Revision 1.34  2002/02/26 20:54:11  misiek
- release 2 (encoding priority fixes)

Revision 1.33  2002/02/24 13:19:05  misiek
- update to 21.1.95

Revision 1.32  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/02 13:21:39  kloczek
- updated to 2.190 from alpha.gnu.org (many bugfixes and some new features).

Revision 1.29  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/29 21:34:11  filon
- added buildreq: /usr/sbin/install-info
- added to %%prep changing install-info to /usr/sbin/install-info
- release 3

Revision 1.27  2001/10/24 08:35:14  misiek
- include elisp documentation (release 2)

Revision 1.26  2001/10/23 09:59:05  kloczek
- merge translations from CNV.

Revision 1.25  2001/10/22 22:38:07  misiek
- removed libelf-devel from BR

Revision 1.24  2001/10/22 22:07:07  misiek
- updated to 21.1

Revision 1.23  2001/09/26 10:09:09  qboosh
- BuildRequires: autoconf, libtool
- pl translations

Revision 1.22  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/05/28 13:40:11  roman
- added %%{_pixmapsdir} in %install section

Revision 1.19  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/02/04 10:48:57  kloczek
- release 32,
- added paths patch with variouse fixes in used paths for FHS compliance
  (to sendmail, rsh, info files and few more),
- merged 10buttons, s390 MDK patches,
- merger s390 patch from RH,
- added using %%{_pixmapsdir} macro in %files.

Revision 1.17  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.
Revision 1.16  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/10/20 19:49:04  kloczek
- added missing BuildRequires rules (added also XFree86 because amacs
  requires /usr/X11R6/include/X11/bitmaps/gray during compilation which
  belongs to XFree86).

Revision 1.14  2000/10/20 16:18:00  kloczek
- release 16,
- merged proto patch from rawhide,
- use new rpm automation,
- merged some old BeroLinux translations.

Revision 1.13  2000/08/29 14:16:31  baggins
- version 20.7
- PLDized spec from redhat
